﻿using Borepin.Model;
using Prism.Mvvm;
using System;

namespace Borepin.ViewModel
{
    public class ServerListItemViewModel : BindableBase
    {
        #region Private Properties
        public Connection _Instance { get; private set; }
        #endregion

        #region Constructors
        public ServerListItemViewModel(Connection instance)
        {
            _Instance = instance;
            Address = ConvertUriToString(instance.Address);
            Username = instance.Username;
        }
        #endregion

        #region Properties
        private string _Address;
        public string Address
        {
            get => _Address;
            set => SetProperty(ref _Address, value);
        }

        private string _Username;
        public string Username
        {
            get => _Username;
            set => SetProperty(ref _Username, value);
        }
        #endregion

        #region Methods
        public string ConvertUriToString(Uri uri)
        {
            return uri.Host;
        }
        #endregion
    }
}
